Bug 1477381 - Revert experimental and 4.0 features to prepare for 3.12 release
Revert experimental and 4.0 features to prepare for 3.12 release
Status: ON_QA
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
3.12
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Shyamsundar
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-01 19:55 EDT by Shyamsundar
Modified: 2017-08-04 10:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1447543
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shyamsundar 2017-08-01 19:55:12 EDT
Experimental features and features intended for 4.0 need to be removed from the release-3.12 branch before release.

Op-version should be set to 3.12 as appropriate for the 3.12 branch.
Comment 1 Worker Ant 2017-08-01 19:58:16 EDT
REVIEW: https://review.gluster.org/17951 (libglusterfs: Correct op-version for 3.12) posted (#1) for review on release-3.12 by Shyamsundar Ranganathan (srangana@redhat.com)
Comment 2 Worker Ant 2017-08-01 20:23:44 EDT
REVIEW: https://review.gluster.org/17953 (core: remove experimental xlators and associated tests) posted (#1) for review on release-3.12 by Shyamsundar Ranganathan (srangana@redhat.com)
Comment 3 Worker Ant 2017-08-02 07:30:59 EDT
REVIEW: https://review.gluster.org/17953 (core: remove experimental xlators and associated tests) posted (#2) for review on release-3.12 by Shyamsundar Ranganathan (srangana@redhat.com)
Comment 4 Worker Ant 2017-08-03 08:00:49 EDT
REVIEW: https://review.gluster.org/17951 (libglusterfs: Correct op-version for 3.12) posted (#2) for review on release-3.12 by Shyamsundar Ranganathan (srangana@redhat.com)
Comment 5 Worker Ant 2017-08-03 12:44:24 EDT
COMMIT: https://review.gluster.org/17953 committed in release-3.12 by Shyamsundar Ranganathan (srangana@redhat.com) 
------
commit 4c44d443273f90c86e3d72e57680f71d957c2f69
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Fri Jan 20 11:11:46 2017 -0500

    core: remove experimental xlators and associated tests
    
    experimental xlators not included in 3.12
    
    Cherry picked from 4231c40973c60999f5ef759db450d25e129ef6ba:
    > Change-Id: I547480ee5e7912664784643e436feb198b6d16d0
    > BUG: 1447543
    > Signed-off-by: Kaushal M <kaushal@redhat.com>
    > Reviewed-on: https://review.gluster.org/17154
    > Smoke: Gluster Build System <jenkins@build.gluster.org>
    > NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    > Reviewed-by: Amar Tumballi <amarts@redhat.com>
    > CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    
    Change-Id: I34419ce22ca09b7626b8f9382c377a614fd9fed8
    BUG: 1477381
    Signed-off-by: ShyamsundarR <srangana@redhat.com>
    Reviewed-on: https://review.gluster.org/17953
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: jiffin tony Thottan <jthottan@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
Comment 6 Worker Ant 2017-08-03 17:21:58 EDT
COMMIT: https://review.gluster.org/17951 committed in release-3.12 by Shyamsundar Ranganathan (srangana@redhat.com) 
------
commit 985d86bbc08bb44d105bcacd32750f1b1c505d43
Author: ShyamsundarR <srangana@redhat.com>
Date:   Tue Aug 1 19:57:26 2017 -0400

    libglusterfs: Correct op-version for 3.12
    
    Change-Id: Ie7f622f255965dee070f149ee48e16ff070502b7
    BUG: 1477381
    Signed-off-by: ShyamsundarR <srangana@redhat.com>
    Reviewed-on: https://review.gluster.org/17951
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>

Note You need to log in before you can comment on or make changes to this bug.